//
// JobPostOptions.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


/** Describes the request body for the fax job */

public struct JobPostOptions: Codable {

    /** Describes a title of the fax job. If not set the current date time will be used as title */
    public var title: String?
    /** Describes the date the fax should be sent. The format must comply with ISO 8601 and must contain date and time. Date can not be in the past or more than 14 day into the future. If not set the current date time will be used as timeToSend */
    public var timeToSend: Date?
    /** Describes the date the fax can be sent until. The format must comply with ISO 8601 and must contain date and time. DateTime must be 5 minutes after TimeToSend. If not set the date will set to 2030-12-31 */
    public var timeToSendUntil: Date?
    /** Describes if the fax header should used or not for the fax job. If not set the value from api account will be used */
    public var faxHeader: Bool?
    /** Describes the header part from in the fax header (if its used) of the a fax job. If not set the value from api account will be used */
    public var faxHeaderFrom: String?
    /** Describes the source identifier, which will be displayed during the transmission and appears on the receipt protocol. If not set the value from api account will be used */
    public var stationID: String?
    /** Describes the Calling Line Identification Presentation (Clip). It is the transferred dialing number before the transmission of the fax document. If not set the value from api account will be used */
    public var clip: String?
    /** Describes the default International Dialing Code which will be used for fax numbers without international area code. If not set the value from api account will be used */
    public var defaultInternationalDialingCode: String?
    /** Describes the to used cost center for the fax job. If not set the value from api account will be used */
    public var costCenter: String?
    /** Describes if the uploaded template documents and resulting preview documents for the fax job should be stored or not. If not set the value from api account will be used */
    public var saveDocuments: Bool?

    public init(title: String? = nil, timeToSend: Date? = nil, timeToSendUntil: Date? = nil, faxHeader: Bool? = nil, faxHeaderFrom: String? = nil, stationID: String? = nil, clip: String? = nil, defaultInternationalDialingCode: String? = nil, costCenter: String? = nil, saveDocuments: Bool? = nil) {
        self.title = title
        self.timeToSend = timeToSend
        self.timeToSendUntil = timeToSendUntil
        self.faxHeader = faxHeader
        self.faxHeaderFrom = faxHeaderFrom
        self.stationID = stationID
        self.clip = clip
        self.defaultInternationalDialingCode = defaultInternationalDialingCode
        self.costCenter = costCenter
        self.saveDocuments = saveDocuments
    }


}
